# Method: mobiledevices.action

Takes an action that affects a mobile device. For example, remotely wiping a device.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}/action`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |
| `resourceId` | `string` The unique ID the API service uses to identify the mobile device. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices/action#MobileDeviceAction`.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.mobile`
- `
  https://www.googleapis.com/auth/admin.directory.device.mobile.action`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## MobileDeviceAction

| JSON representation |
|---|
| ``` { "action": string } ``` |

| Fields ||
|---|---|
| `action` | `string` <br /> The action to be performed on the device. Acceptable values are: - `admin_remote_wipe` - `admin_account_wipe` - `approve` - `block` - `cancel_remote_wipe_then_activate` - `cancel_remote_wipe_then_block` |